Skip to content

Create a Password

Request

OAuth 2.0 scope:
  • okta.myAccount.password.manage

Creates and enrolls a password for the current user

Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
Bodyapplication/json

New password

profileobjectrequired

Defines the password on the profile

POST
/idp/myaccount/password
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/idp/myaccount/password \
  -H 'Accept: application/json; okta-version=1.0.0' \
  -H 'Content-Type: application/json' \
  -d '{
    "profile": {
      "password": "Abcd1234"
    }
  }'

Responses

Example response

Bodyapplication/json;okta-version=1.0.0
createdstring

If password is ACTIVE, returns the date when password was first enrolled

idstring, non-emptyread-only
lastUpdatedstring

If password is ACTIVE, returns the date when password was last updated

statusstring

ACTIVE, EXPIRED, SUSPENDED, NOT_ENROLLED

Response
{ "id": "00T196qTp3LIMZQ0L0g3", "status": "ACTIVE", "created": "2020-01-14T20:05:32.000Z", "lastUpdated": "2020-01-14T20:05:32.000Z", "_links": { "self": {} } }